# QVM: Quaternions, Vectors, Matrices

### zero_mat

#include <boost/qvm/mat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            template <class T,int D>
            -unspecified-return-type- zero_mat();

            template <class T,int R,int C>
            -unspecified-return-type- zero_mat();
        }
    }

#### Returns:

A read-only matrix of unspecified type with scalar_type T, R rows and C columns (or D rows and D columns), with all elements equal to scalar_traits<T>::value(0).

See also: boost/qvm/mat_operations.hpp | set_zero(mat)